Gecode::TFE::Node Class Reference

Node for trace filter expression. More...

`#include <filter.hpp>`

## Public Member Functions

| Node (void)
| Default constructor.
bool | decrement (void)
| Decrement reference count and possibly free memory.

## Public Attributes

unsigned int | use
| Nodes are reference counted.
NodeType | t
| Type of expression.
int | n
| Number of leaf groups.
Group | g
| Group.
char | w
| Which operations to consider for propagator groups.
Node * | l
| Subexpressions.
Node * | r

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Node for trace filter expression.

Definition at line 55 of file filter.hpp.

## Constructor & Destructor Documentation

## Node()

Gecode::TFE::Node::Node | ( | void |  | ) |

inline

Default constructor.

Definition at line 221 of file filter.hpp.

## Member Function Documentation

## decrement()

bool Gecode::TFE::Node::decrement | ( | void |  | ) |

Decrement reference count and possibly free memory.

Definition at line 43 of file filter.cpp.

## Member Data Documentation

## use

unsigned int Gecode::TFE::Node::use

Nodes are reference counted.

Definition at line 58 of file filter.hpp.

## t

NodeType Gecode::TFE::Node::t

Type of expression.

Definition at line 60 of file filter.hpp.

## n

int Gecode::TFE::Node::n

Number of leaf groups.

Definition at line 62 of file filter.hpp.

## g

Group Gecode::TFE::Node::g

Group.

Definition at line 64 of file filter.hpp.

## w

char Gecode::TFE::Node::w

Which operations to consider for propagator groups.

Definition at line 66 of file filter.hpp.

## l

Node* Gecode::TFE::Node::l

Subexpressions.

Definition at line 68 of file filter.hpp.

## r

Node * Gecode::TFE::Node::r

Definition at line 68 of file filter.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/trace/filter.hpp
- gecode/kernel/trace/filter.cpp